org.apache.tinkerpop.gremlin.neo4j.structure

## Class Neo4jProperty<V>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.neo4j.structure.Neo4jProperty<V>

- All Implemented Interfaces:
    Property<V>

      public final class Neo4jProperty<V>
      extends Object
      implements Property<V>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.Property

      `Property.Exceptions`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Element` | `element`
    `protected Neo4jGraph` | `graph`
    `protected String` | `key`
    `protected boolean` | `removed`
    `protected V` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Neo4jProperty(Element element, String key, V value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `element()` Get the element that this property is associated with.
    `boolean` | `equals(Object object)`
    `int` | `hashCode()`
    `boolean` | `isPresent()` Whether the property is empty or not.
    `String` | `key()` The key of the property.
    `void` | `remove()` Remove the property from the associated element.
    `String` | `toString()`
    `V` | `value()` The value of the property.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Property

      `empty, ifPresent, orElse, orElseGet, orElseThrow`

- - ### Field Detail

    - #### element

          protected final Element element

    - #### key

          protected final String key

    - #### graph

          protected final Neo4jGraph graph

    - #### value

          protected V value

    - #### removed

          protected boolean removed

  - ### Constructor Detail

    - #### Neo4jProperty

          public Neo4jProperty(Element element,
                               String key,
                               V value)

  - ### Method Detail

    - #### element

          public Element element()

      Description copied from interface: `Property`
      Get the element that this property is associated with.
      Specified by:
        `element` in interface `Property<V>`
      Returns:
        The element associated with this property (i.e. `Vertex`, `Edge`, or `VertexProperty`).

    - #### remove

          public void remove()

      Description copied from interface: `Property`
      Remove the property from the associated element.
      Specified by:
        `remove` in interface `Property<V>`

    - #### key

          public String key()

      Description copied from interface: `Property`
      The key of the property.
      Specified by:
        `key` in interface `Property<V>`
      Returns:
        The property key

    - #### value

          public V value()

      Description copied from interface: `Property`
      The value of the property.
      Specified by:
        `value` in interface `Property<V>`
      Returns:
        The property value

    - #### isPresent

          public boolean isPresent()

      Description copied from interface: `Property`
      Whether the property is empty or not.
      Specified by:
        `isPresent` in interface `Property<V>`
      Returns:
        True if the property exists, else false

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.